<VirtualHost *:443>
    ServerName gluebox.com
    ServerAlias www.gluebox.com
    ServerAdmin webmaster@localhost

    DocumentRoot /opt/www/snowmaid/web

    ErrorLog ${APACHE_LOG_DIR}/error.log
    CustomLog ${APACHE_LOG_DIR}/access.log combined

    RequestHeader set X-Forwarded-Proto "https"
    Header append Vary Host

    # Reverse Proxy for Solr
    ProxyRequests Off
    ProxyPreserveHost On

    <Proxy *>
        Require all granted
    </Proxy>

    ProxyPass /solr http://localhost:8983/solr
    ProxyPassReverse /solr http://localhost:8983/solr

    Alias /bpmn /opt/www/bpmn
    <Directory /opt/www/bpmn>
        Require all granted
    </Directory>

    <Directory /opt/www/snowmaid/web>
        Options Indexes FollowSymLinks
        AllowOverride All
        Require all granted
        RewriteEngine On
    </Directory>

    Include /etc/letsencrypt/options-ssl-apache.conf
    SSLCertificateFile /etc/letsencrypt/live/dangercactus.com/fullchain.pem
    SSLCertificateKeyFile /etc/letsencrypt/live/dangercactus.com/privkey.pem
</VirtualHost>
